import { IHorizontalRangeCategorySeriesProxy } from "./IHorizontalRangeCategorySeriesProxy";
import { Series } from "./Series";
import { CategoryAxisBase } from "./CategoryAxisBase";
import { NumericYAxis } from "./NumericYAxis";
import { Base, Type } from "igniteui-react-core/ES2015/type";
export declare class HorizontalRangeCategorySeriesProxy extends Base implements IHorizontalRangeCategorySeriesProxy {
    matchesType(a: Series): boolean;
    setHighMemberPath(a: Series, b: string): void;
    setLowMemberPath(a: Series, b: string): void;
    setXAxis(a: Series, b: CategoryAxisBase): void;
    setYAxis(a: Series, b: NumericYAxis): void;
    static $t: Type;
}
